Subject: Job/Visa Series No.4 of CND-US, 12/24/90

From: Bo Xiong <[email-masked]>
Date: Mon, 24 Dec 90 01:49:11 -0500

*  *  *   C H I N A    N E W S    D I G E S T   *  *  *

			    December 24, 1990

        Christmas Greetings and Best Wishes for the New Year to ALL

	    Special Package on Visa and Job Hunting (Series 4)

        +-+-+-+- ( China News Digest,  US Section Service) -+-+-+-+

Editor's Note: This special  series is sponsored  by China News  Digest to
               assist Chinese students  and scholars in  U. S. in  dealing
               with Visa  or Job  related problems.   It is  mostly edited
               materials  which has previously  appeared on SCC  (A Usenet
               discussion group).  CND suggests that this materials should
               only be used  for your reference rather  than authoritative
               answers.  You may contact your local  foreign student advi-
               sor or INS  for further details on related  questions.  CND
	       welcomes comments and contributions.
	       Contact	[email-masked]  for	back issues of the series.

         - - - - - - T a b l e   o f   C o n t e n t s - - - - - -
No. Subjects							# of Lines

1.  Job Hunting Essentials (A Conversation on Job Hunting, Part III) . 170

2.  PRCers Seek R&D Positions in American High Tech Companies (Part II)
    I.	 Tips for Getting A Job in Big Companies . . . . . . . . . . .	70
    II.  Some Personal Experiences . . . . . . . . . . . . . . . . . .	25
    III. How to Deal With the Restriction on Hiring Aliens
	 Due to US Government Export Regulation . . . . . . . . . . . . 30

--------------------------------------------------------------------------
1.  Job Hunting Essentials (A Conversation on Job Hunting, Part III) . 170
--------------------------------------------------------------------------
>From: [email-masked] (Bo Xiong)	      Date: 22 Sep 90 20:26:33 GMT
Source: soc.culture.china

We now continue the conversation written based on the discussions with several
graduated/graduating Chinese students.

B: Shall we first talk about resume and cover/inquiry letter writing today?

A: Sure, I just received a message from a close friend and frequent
   contributor of CND, he has made valueable comments on getting jobs and
   writing resumes, let's read his e-mail before we continue our discussion.

-----------------------------------
Date: Sat, 22 Sep 90 03:08:57 -0700
>From: [email-masked] (Greg Kemnitz)
To: [email-masked]
Subject: Re: Conversation on Job Hunting ABC

A few comments on getting jobs:

(Note that these apply only to industry jobs and not necessarily to research
or teaching jobs in academia.)

Get some industry experience before you leave school if possible:

If you are going to be in school for a couple more years, GET A SUMMER JOB
OR INTERNSHIP IN YOUR FIELD IF AT ALL POSSIBLE!!!

This can be the single most important thing you do - depending on the
particulars of the job, it can be more important than any papers you write or
any other academic activity other than the degree itself.  Even though it may
seem paradoxical, it is true that three or six months spent working in
industry will be hugely important to potential employers.  Equally as
important, you can make professional contacts and get references from managers
in companies.  (Incidentally, managers often carry more weight with employers
than professors.)  You can also make connections with people who may know
about openings that are not listed, or you can get a group you work for as a
summer hire/intern to hire you full-time upon graduation.

Basically the game works like this:  if I am hiring a programmer, my concern
is as follows: can the guy code?  Does he design, implement, debug, and
document well?	Can this person handle being a team member on a truly Big
Project?  None of these questions can be answered, except in an unsatisfying
and indirect way, by academic experience - but a few months working experience
will give an employer a "track record" that he can look back on.  Getting A's
in programming classes is all well and good, but you don't write truly big
programs or work in directed groups on multi-year projects in classes.	There
are academic research projects (like the one I am currently managing) where
this is true, but they are rather rare.

Remember that you are a babe in the woods:

People from industry are generally unimpressed by "experience" in academia.
Everyone has had to do class projects, thesis projects, etc so these should be
regarded as important in showing the desired direction of your career, but
should not be made too much of by themselves.

An example of this is as follows:

At one point I received a resume from a person who appeared to brag that they
had written all of 2000 line of code for a project they were working on.  Even
though measuring lines of code is an extremely crude measure of the complexity
of a problem in programming (I have taken a month to write 100 lines of code,
and other times written several thousand lines in a week), such a claim is not
generally going to impress many programmers or programming managers in
industry.  Worse, this showed how little the person knows about the world,
where projects are often hundreds of thousands or even millions of lines long.
It would be very interesting to describe what that program did as it would
show what the person was interested in doing with their career, but the fact
that it was 2000 lines long was irrelevent and most unimpressive by itself.

Beware of wishy-washy or weak resumes:

If you have multiple areas that you would be willing to work in, you should
probably think about tailoring a resume for each of them.  If your interest is
either languages or operating systems (you will rarely work on both), you
should have a "languages" resume and an "operating systems" resume.  You can
stress languages projects and coursework (and hopefully industry experience)
on one, and OS experience on another.  Avoid objectives that say "Give me a
job, any job!", ie

    Seeking a career in which I can use my background in operating systems,
    languages, graphics, user interface, window systems, or object oriented
    programming.

Resumes are not academic transcripts - rather they are marketing tools that
should be used to answer the question "Why should I hire this guy"?  You are
a capitalist selling yourself on an open market to the highest bidder.

Greg Kemnitz
Postgres Chief Programmer
278 Cory Hall, University of California at Berkeley
(415) 642-7520
[email-masked]
--------------------------------End of the Quote---

B: Greg's comments are very informative, I think the comments are not only
   practical guidelines for those job hunters majored in Computer Science, but
   also very significat reminders to the students in other majors.

A: His comments cover many respects in career preparation and resume writing,
   you may find details of reference materials in library and university
   career services, I don't have much to say besides following points:

   1) Don't hesitate to include your work experiences in China in your resume
   or curriculum vitae - whatever the experiences are, as long as releted to
   your filed, such as teaching, research and engineering job, just be
   specific when you mention it in your resume.  If you were involved in some
   joint-venture/technical-exchange project(s) in China with foreign nations,
   don't forget to put it into your resumes, yes, resumeS, various versions
   of your resume for different head hunters.

   2) Don't omit PERSONAL column, which usually includes your hobbies, social
   activities and etc., especially if you are an undergrad or master student.
   Employers like people who are ease-going, socialable and energetic :-)

   3) List name, title, organization, address and phone # of your references,
   even some of them are in China, especially you are a Ph.D. student.	This
   is a very significant gesture to prospective employers :-)

   4) You don't have to mention your visa status, of course you may add a
   column in your resume stating "Visa Status: US Permanent Resident Visa" to
   take some advantage if you are a PR. Anyway, recuiters will know where you
   come from because your name and experiences are indicating that.  We'll get
   into a little bit detail about this later.

B: How about cover letter or inquiry letter writing?

A: You may see many sample letters on the materials from fifferent sources, or
   ask a sample letter from your fellow students.  Many people prepare ONE/TWO
   statnard letters for almost all purpose.  I still think it's a good idea to
   add a paragraph for a specific employer everytime you send it out.  For
   instance, if you send a letter to an employer in iron & steel industry who
   needs a rolling process engineer, you may insert a segment to your cover
   letter telling them that you have three years experiences designing
   roughing mill (if you do have :-).  This will make difference and they
   might pay additional attention to your resume after reading the inserted
   paragraph.

   Also, try to send your letters to those who are in charge of technical
   sectors in an organization, they will have final say in hiring people.

   Finally, you may send out hundred of cover/inquiry letters together with
   your resume, don't forget to make a list of when you send what to whom.
   Tell you a real story, a friend of mine received a phone call from a
   company in Ohio a month ago, she couldn't remember the name of the company
   and the position she applied for when she answered the phone, the worse
   thing is that she couldn't respond to the caller in a well-prepared
   manner and lost the chance.

B: Some SCC readers think the average starting salary in the table (Series I
   & II) is overall low and want more info, what you have for them?

A: As the disclaimer of the table suggested, the table is NOT made from
   reasonable sample space so it should not be used for analysis.  However,
   a reader e-mailed me and told me there is a male Chinese, came to US one
   year ago on F-2 visa, 30 years old with his Ph.D. in Computer Science
   (I would guess he earned it in China), got a Job in a San Diego R&D company
   as staff scientist with starting salary $55K and switched to H-1 status.

   According to some major US newspapers, in 1990, the US nationwide average
   starting salary for those new undergrads in chemical engineering,
   electrical engineering, civil engineering, business and computer science
   are ranged between $32K and 29K (with chemical engineering highest and
   CS lowest among above).  Considering the fact that most alien graduates
   have Master/Ph.D.'s, the salary in the table seems lower.

   Anyway, as many many publications on immigration implied, it seems common
   case that an alien worker gets lower pay than average, that's why so many
   alien workers switch their jobs after a reasonable time of getting PR and
   serving their current employer.

   It's getting long ...

B: So, let's talk next time about how employers screen candidates from
   application letters and  how they look at/treat foreign students.

------------------------------------------------------------------------------
2.  PRCers Seek R&D Positions in American High Tech Companies (Part II)
------------------------------------------------------------------------------
I.  Tips for Getting A Job in Big Companies . . . . . . . . . . . . . . . . 70

>From: Kam-Cheong Tsoi #350 x7899  <[email-masked]>
Date: Mon, 19 Nov 90 16:44:43 MST

Please consider sharing the following information in your Job/Visa Series
in CND:

1.	I was called by IBM for a job interview November, 1989--even though
I told the caller that I was working with a company at that time.  The caller
had set up an interview schedule for me and gave me a phone number to call for
air tickets.  Then, I told the caller that I was not a US citizen or resident.
One hour later, a hiring manager called me back to apologize that they had to
cancel the interview based on the fact that I was not an US citizen or
resident.  But I was able to "transfer" this opportunity to an American
friend.  From what I learned from this American friend who went for the
interview, the position seemed to have nothing related to national security.

2.	I know a friend who is not an US citizen or resident but "indirectly"
works in IBM.  My friend is hired as a contractor under another company which
assigns him to work in IBM.

3.	I also was hired by a contracting company which assigned me to work in
a major telephone company.   Since then I have been working very hard to make
the telephone company eventually hire me as a permanent employee and petition
a labor certificate for me.  I suppose the same tactics can be used for those
hard working foreign students who look for big companies to work with.	You
can find a contracting company who has contracting relationships with big
companies.  With hard work and good attitude, you may be able to convince your
assigned companies to hire you eventually.  Contracting companies usually
don't care about your status in the US, and the big companies contracted with
the contracting companies don't need and care to know your alien status.  Make
sure the document you sign with your contracting company will not prohibit you
to switch and work with the assigned companies as a regular employee.  If the
document has this restriction, ask the contracting company to cross it out.

4.	Don't forget to ask your professors for referrals.   Social
"networking" is MUCH more important than you think.  I know a foreign student
referred to a big company by his professor.  The director of the company was a
student of the professor many years ago.  Many companies can but won't hire
foreign students just to avoid the paper work.	But through social networking,
the decison makers of the companies may think additional work is still
worthwhile.  By suggesting this, I am not saying social networking is a
substitute of hard working, good academic performance, and decent attitude.
Your professors will not recommend you just because you are "social" to them.

5.	Don't forget to dress, think, and talk like "one of them," especially
you are looking for big companies.  These companies want to hire someone that
can represent them in public.  I am not asking you to give up our great
Chinese heritage; I am saying that we should behave or appear in ways
compatible to them.  Please seriously consider to buy books related to "how to
dress success," "etiqutte," etc.  These books will tell you the standards in
this country--though these standards are by no means universal.

6.	Don't forget to attend conferences related to your specialization.  A
lot of hiring advertisements posted only in these conferences but not in
journals and newspapers. You can also know more people who may tell you where
you can find jobs.  In fact, one of the major reasons why a lot of
professionals going to conferences is to develop connections with other
companies--to hire people or to get hired.

7.	I am no expert of job-hunting; I am still striving for survival.
Although I did not and do not practice each of the suggestions above, I know
these suggestions are working for a lot of people.  Finally, recession is
coming and a lot of companies are laying off their employees.  The competition
will be keener than ever.  Don't waste your time in worrying whether a job can
find you.  Do something now.  You will certainly be frustrated by the low or
no response from prospective employers.  But what will make you successful--
perhaps marginally-- is your persistence and the details that other people
overlook.

Living in a foreign country, we are disadvantaged but not disqualified.
----------------------------------------------------------------------------

II. Some Personal Experiences . . . . . . . . . . . . . . . . . . . . . . 25

>From: [email-masked] Thu Nov 22 11:51:22 1990 Date: Thu, 22 Nov 90

   Thanks for mentioning my case in CND Job/Visa Series 3. I am the 'student'
whom Jerry referred to. But, please don't be misleaded by him. i.e. I am not
an employee of AT&T.  I am a consultant in AT&T, in other words, I am an
employee in a NJ based consulting company which contracts me to AT&T for
working on a project in one of its site.

   In my job hunting experiences, not only big companies, such as AT&T, but
also some small size companies don't want foriegners, not because of security
reason.  They just don't want to spend time and money to sponsor you.  But
consulting companies are big exceptions.  They just can't recruit enough
Americans or Americans with strong technical background to work for them.

   For more inforamtion about consulting companies in New Jersey, please call
me at 201-672-5121 or email me at [email-masked].  I am willing to
answer all your questions regarding to job hunting or consulting work.

   Right now, my company is looking for 20 people with at least 2 years
experiences in UNIX/C. Informix-SQL, ESQL, 4GL, Sybase, X-Window are big plus.
If you don't have 2 year working experiences, you must have strong knowledge
in one of above areas in order to pass the technical interview.

P.S. Above message is regarding "CND-US Job/Visa Series 3, 11/17/90
-----------------------------------------------------------------------------

III.  How to Deal With the Restriction on Hiring Aliens
      Due to US Government Export Regulation (Continued from Series 3) . . 30

>From: [email-masked] (Shin Chen) Date: 21 Nov 90 15:13:41 GMT
Source:  soc.culture.china

I just relay this info from Jeff.  Thanks Jeff.

Jerry
p.s. Jeff is a nice and knowledge guy; interested party may want to contact
     him directly for more info.
-------------------------------------------
>From: "Z. Jeff Li" <[email-masked]>

Since hiring people from PRC or other countries is a kind of export according
to the Export Adminstration Act of 1979, one may follow the steps of
international trading in order to succeed.  After finding a partner (a
company) and a commodity (a job), you may find US government's attitude to the
deal from the following sources.  All these sources are with the Bureau of
Export Adminstration, US Department of Commerce.

(1) You may get assistant from your local District Office of the
    International Trade Adminstration. Its telephone number and address can be
    found from Federal Information Center, whose telephone number can be found
    from 1-800-555-1212 or the blue pages in your local telephone directory.

(2) You can call the Export Assistance Staff on (202)377-4811.

(3) You can write to Exporter Services Staff, Office of Export Adminstration,
    U.S. Department of Commerce, Washinghton, D.C. 20230.

(4)  All the  basic information you need is in a US goverment publication
     "Export Adminstration Regulation" (a big volumn).

The questions are (1) whether an Application for Export License (Form
BXA-622P) need to be filed (2) what is the prospects for license approval.
-----------------------------------------------------------------------------
+------------------------------------------------------------------------+
| Editor of this issue: Bo Xiong	 E-mail: [email-masked]	 |
|                             - - - - - - -                              |
| To Subscribe China News Digest, send "SUB CHINA-NN Firstname Lastname" |
| to: [email-masked].  Send "UNSUB CHINA-NN" to same address to |
| cancel subscription. Send news contribution to [email-masked] |
|                             - - - - - - -                              |
| For technical matter, contact: Wei Wu, E-mail: [email-masked] |
+------------------------------------------------------------------------+